summaryrefslogtreecommitdiffstats
path: root/source/l/qca/qca.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/qca/qca.SlackBuild')
-rwxr-xr-xsource/l/qca/qca.SlackBuild27
1 files changed, 20 insertions, 7 deletions
diff --git a/source/l/qca/qca.SlackBuild b/source/l/qca/qca.SlackBuild
index 2adbe7e92..d40821b66 100755
--- a/source/l/qca/qca.SlackBuild
+++ b/source/l/qca/qca.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2008, 2009, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,11 @@
# Modified by Robby Workman <rworkman@slackware.com> for qca-2.0.0
# No additional license terms and no copyright claim
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=qca
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:--j6}
# Automatically determine architecture for build & packaging:
@@ -37,7 +39,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
@@ -56,7 +65,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -65,7 +74,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-zcat $CWD/0011-use-_DEFAULT_SOURCE-instead-of-_BSD_SOURCE.patch.gz | patch -p1 --verbose || exit 1
+# Support OpenSSL-1.1.x:
+zcat $CWD/Add_support_for_OpenSSL_1.1.0.diff.gz | patch -p1 --verbose || exit 1
+
+# This unit test patch won't apply, so whatever. Don't need it.
+#qca.tlsunittest.cpp.diff.gz | patch -p1 --verbose || exit 1
mkdir build
cd build